# Jaxer.Log.Level : Object
Return to: Jaxer Framework index

Logging level object used by the Logging facility to set or determine the current log levels.

## Platform Support

Jaxer Server Framework | Jaxer Client Framework
--- | ---
1.0 | no

## Constructors

Constructor | Action | Jaxer Server Framework | Jaxer Client Framework
--- | --- | --- | ---
Jaxer.Log.Level Constructor(String name, Number value) : Jaxer.Log.Level The constructor of a logging level object.Messages must exceed a certain severity level before they are logged. | Show Details | 1.0 | no

### Jaxer.Log.Level(String name, Number value) : Jaxer.Log.Level

The constructor of a logging level object.Messages must exceed a certain severity level before they are logged.

Parameters

String | name | The name of the level
Number | value | The numeric value to associate with this level. Higher numbers are more severe.

Returns

Jaxer.Log.Level | Returns an instance of Level.

## Functions

Method | Action | Jaxer Server Framework | Jaxer Client Framework
--- | --- | --- | ---
isAtLeast() : Boolean A common comparison operator on Jaxer.Log.Level objects: is the current level at or above the given level? | Show Details | 1.0 | no

Returns

Boolean | true if matches or exceeds the given level

isAtOrBelow() : Boolean A common comparison operator on Jaxer.Log.Level objects: is the current level at or below the given level? | Show Details | 1.0 | no

Returns

Boolean | true if matches or falls below the given level

isBelow() : Boolean A common comparison operator on Jaxer.Log.Level objects: is the current level below the given level? | Show Details | 1.0 | no

Returns

Boolean | true if falls below the given level

toString() : String The textual representation of a level, namely its name | Show Details | 1.0 | no

Returns

String | The name

aptana_docs